org.apache.ignite.internal.cache.query.index.sorted.defragmentation

## Class IndexingDefragmentation

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.defragmentation.IndexingDefragmentation

    public class IndexingDefragmentation
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IndexingDefragmentation(IndexProcessor indexing)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `defragment(CacheGroupContext grpCtx, CacheGroupContext newCtx, PageMemoryEx partPageMem, IntMap<LinkMap> mappingByPartition, CheckpointTimeoutLock cpLock, Runnable cancellationChecker, IgniteThreadPoolExecutor defragmentationThreadPool, IgniteLogger log)` Defragment index partition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexingDefragmentation

    public IndexingDefragmentation(IndexProcessor indexing)

Constructor.

### Method Detail

#### defragment

    public void defragment(CacheGroupContext grpCtx,
                           CacheGroupContext newCtx,
                           PageMemoryEx partPageMem,
                           IntMap<LinkMap> mappingByPartition,
                           CheckpointTimeoutLock cpLock,
                           Runnable cancellationChecker,
                           IgniteThreadPoolExecutor defragmentationThreadPool,
                           IgniteLogger log)
                    throws IgniteCheckedException

Defragment index partition.

Parameters:
  `grpCtx` - Old group context.
  `newCtx` - New group context.
  `partPageMem` - Partition page memory.
  `mappingByPartition` - Mapping page memory.
  `cpLock` - Defragmentation checkpoint read lock.
  `cancellationChecker` - Cancellation checker.
  `defragmentationThreadPool` - Thread pool for defragmentation.
  `log` - Log.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023